gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecUInt

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for unsigned integer properties.

Synopsis

- newtype ParamSpecUInt = ParamSpecUInt (ManagedPtr ParamSpecUInt)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUInt o) => IsParamSpecUInt o
- toParamSpecUInt :: (MonadIO m, IsParamSpecUInt o) => o -> m ParamSpecUInt

# Exported types

newtype ParamSpecUInt Source #

Memory-managed wrapper type.

Constructors

ParamSpecUInt (ManagedPtr ParamSpecUInt) |

#### Instances

Instances details

Eq ParamSpecUInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt Methods (==) :: ParamSpecUInt -> ParamSpecUInt -> Bool Source # (/=) :: ParamSpecUInt -> ParamSpecUInt -> Bool Source #
BoxedPtr ParamSpecUInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt Methods boxedPtrCopy :: ParamSpecUInt -> IO ParamSpecUInt Source # boxedPtrFree :: ParamSpecUInt -> IO () Source #
ManagedPtrNewtype ParamSpecUInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt Methods toManagedPtr :: ParamSpecUInt -> ManagedPtr ParamSpecUInt Source #
TypedObject ParamSpecUInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt Methods glibType :: IO GType Source #
HasParentTypes ParamSpecUInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt
type ParentTypes ParamSpecUInt Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt type ParentTypes ParamSpecUInt = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUInt o) => IsParamSpecUInt o Source #

Type class for types which can be safely cast to `ParamSpecUInt`, for instance with `toParamSpecUInt`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUInt o) => IsParamSpecUInt o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt

toParamSpecUInt :: (MonadIO m, IsParamSpecUInt o) => o -> m ParamSpecUInt Source #

Cast to `ParamSpecUInt`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.